#ifndef PSYNCD_IPC_INTERFACE_H
#define PSYNCD_IPC_INTERFACE_H

#include <sync_global.h>

//Адрес для локального сокета, использующегося программой
#ifndef GLOBAL_SERVICE_IPC_DIR
	#define PSYNCD_IPC_NAME "psyncd"
#else
	#define PSYNCD_IPC_NAME GLOBAL_SERVICE_IPC_DIR.append("psyncd").c_str()
#endif

//Типы сообщений
#define PSYNCD_SYNCRONIZATION_STATUS 2         //Сообщение, посылаемое модулю синхронизации о необходимости начала(завершения) синхронизации
#define PSYNCD_GET_SYNC_STATUS 5		//!Получение статуса синхронизации
#define PSYNCD_REQUEST_LOGIN_AND_PASSWORD 6    //Запрос модулю синхронизации о необходимости проверки логина и пароля
#define PSYNCD_ACCOUNT_VALID 7                 //Ответ от модуля синхронизации о валидности логина и пароля
#define PSYNCD_PASSWORD_CHANGED 8              //Извещение от модуля синхронизации о смене пароля пользователя
#define PSYNCD_SETTINGS_CHANGED 9              //Извещение от модуля синхронизации о смене настроек

#define PSYNCD_ADD_TO_SYNC_COMMAND 10		//!Добавление в синхронизацию
#define PSYNCD_REMOVE_TO_SYNC_COMMAND 11	//!Удаление из синхронизации
#define PSYNCD_GET_FILES_FROM_FOLDER_COMMAND 12	//!Исходящая команда получения папки синхронизации
#define PSYNCD_GET_ALL_FILES_COMMAND 14		//!Получить все синхронизируемые файлы

//Команды
#define PSYNCD_SYNC_START 100    //Команда модулю синхронизации о запуске синхронизации
#define PSYNCD_SYNC_STOP 101      //Команда модулю синхронизации об останове синхронизации

//Ответы
#define PSYNCD_ANS_SYNC_STATUS_ONLINE	800
#define PSYNCD_ANS_SYNC_STATUS_OFFLINE	801
#define PSYNCD_OBJECTS_LIST				900

#endif // PSYNCD_IPC_INTERFACE_H
